<template>
    <md-card v-bind:class="{ resourcecard: sizeTruncate }" class="mt-1">
        <!-- <md-card-area> -->
        <slot name="image"></slot>

        <md-card-header class="resource-header pt-0">
            <div class="md-title">
                <p @click="details(resource.id)" class="resource-title no-margin" :style="color">
                    {{ resource.title }}
                </p>
            </div>
            <div class="md-subhead">
                <div>
                    <div>
                        <md-avatar v-if="resource.user_info" class="md-small">
                            <router-link
                                :to="{
                                    name: 'author',
                                    params: { id: resource.user_id }
                                }"
                            >
                                <img :src="resource.user_info.image_path" alt="Avatar" />
                            </router-link>
                        </md-avatar>
                    </div>
                    <div>
                        <div class="text-icon">
                            <p class="margin-text md-caption" style="padding-top: 5px">
                                Por
                                <b>{{ resource.user ? resource.user.username : '--' }}</b>
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </md-card-header>

        <md-card-content class="resource-content">
            <p class="no-margin">
                {{ resource.content | truncateText(sizeTruncate) }}
            </p>
        </md-card-content>
        <md-card-content class="resource-actions">
            <div class="md-layout">
                <div class="md-layout-item md-size-15">
                    <slot name="button"></slot>
                </div>
                <div class="md-layout-item">
                    <menu-recurso :resource="resource">
                        <template slot="icon">
                            <slot name="icon"></slot>
                        </template>
                    </menu-recurso>
                </div>
            </div>
        </md-card-content>
        <md-card-content>
            <slot name="pdf"></slot>

            <slot name="video"></slot>
        </md-card-content>
        <!-- </md-card-area> -->
    </md-card>
</template>

<script>
import MenuRecurso from '../../components/Recursos/MenuRecurso.vue';

export default {
    components: { MenuRecurso },
    props: ['resource', 'sizeTruncate'],
    name: 'resources',
    data() {
        return {
            img: require('../../../assets/img/bg2.jpg'),
            endPoint: '/api/resource',
            // resources: [],
            showRating: false,
            starSize: 20
        };
    },
    methods: {
        details(id) {
            this.$router.push({ path: `/recursos/${id}` });
        }
    },
    computed: {
        color() {
            let color = '#00000';

            if (this.resource.categories_info && this.resource.categories_info.length > 0) {
                let category = this.resource.categories_info.length;
                color = this.resource.categories_info[category - 1].icon_color;
            }

            return {
                color: color
            };
        }
    }
};
</script>

<style lang="scss">
.social-icon {
    text-align: center;
    padding: 8px;
}

.embed-container {
    position: relative;
    padding-bottom: 56.25%;
    height: 0;
    overflow: hidden;
}

.embed-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.margin-text {
    margin: 1px;
}

// card

.resourcecard {
    // height: 460px;
    // max-height: 460px;

    .resource-header {
        // height: 144px;
    }
    .resource-title {
        height: 64px;
        cursor: pointer;
        overflow-y: hidden;
    }
    .resource-content {
        height: auto;
    }
    .resource-actions {
        position: absolute;
        width: 100%;
        bottom: 2px;
        padding: 0 16px;
        margin-bottom: 14px;
    }
}
</style>
